---
- name: Configure unattended upgrades
  block:
    - name: Configure unattended-upgrades
      ansible.builtin.copy:
        src: unattended-upgrades
        dest: /etc/apt/apt.conf.d/50unattended-upgrades
        owner: root
        group: root
        mode: '0644'

    - name: Gather package facts
      ansible.builtin.package_facts:
        manager: auto  # auto will automatically detect the package manager

    - name: Check if a package is installed
      ansible.builtin.fail:
        msg: "'{{ item }}' is not installed!"
      when: item not in ansible_facts.packages
      with_items:
        - unattended-upgrades

    - name: Enable automatic updates
      ansible.builtin.copy:
        src: auto-upgrades
        dest: /etc/apt/apt.conf.d/20auto-upgrades
        owner: root
        group: root
        mode: '0644'
  become: yes
